%define upstream_name    HTTP-Date
%define upstream_version 6.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Date conversion for HTTP date formats
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::Local) >= 1.280.0
BuildRequires: perl(Time::Zone)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides functions that deal the date formats used by the HTTP
protocol (and then some more). Only the first two functions, time2str() and
str2time(), are exported by default.

* time2str( [$time] )

  The time2str() function converts a machine time (seconds since epoch) to
  a string. If the function is called without an argument or with an
  undefined argument, it will use the current time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 6.50.0-3.mga9
+ Revision: 1812129
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 6.50.0-2.mga8
+ Revision: 1538558
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Nov 22 2019 tv <tv> 6.50.0-1.mga8
+ Revision: 1462170
- update to 6.05

* Sat Nov 16 2019 tv <tv> 6.40.0-1.mga8
+ Revision: 1461108
- update to 6.04

* Thu Nov 14 2019 tv <tv> 6.30.0-1.mga8
+ Revision: 1459976
- update to 6.03

* Mon Aug 26 2019 tmb <tmb> 6.20.0-9.mga8
+ Revision: 1432682
- rebuild for perl 5.30

* Wed Sep 19 2018 umeabot <umeabot> 6.20.0-8.mga7
+ Revision: 1268519
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 6.20.0-7.mga6
+ Revision: 1028434
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 6.20.0-6.mga6
+ Revision: 933129
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.20.0-5.mga5
+ Revision: 743054
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.20.0-4.mga5
+ Revision: 685001
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 6.20.0-3.mga4
+ Revision: 512172
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 6.20.0-2.mga3
+ Revision: 368269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 6.20.0-1.mga3
+ Revision: 255003
- update to 6.02

* Thu Feb 23 2012 jquelin <jquelin> 6.10.0-1.mga2
+ Revision: 212934
- update to 6.01

* Sat Feb 26 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 60797
- imported package perl-HTTP-Date


* Sat Feb 26 2011 cpan2dist 6.00-1mga
- initial mageia release, generated with cpan2dist
